<?php
namespace Woopromotion\Admin;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */


if( !class_exists('Admin') ) {
	class Admin {

		private static $instance = null;

		function __construct() {
			add_action( 'admin_enqueue_scripts', [ __CLASS__, 'admin_scripts' ] );

			\Woopromotion\Admin\Inc\Admin_Menu::getInstance();
		}

		public static function getInstance() {

			if( is_null( self::$instance ) ) {
				self::$instance = new self();
			}

			return self::$instance;
		}
		public static function admin_scripts( $hooks ) {

			if( $hooks != 'toplevel_page_woopromotion' ) {
				return;
			}
			
			$getDateFormat = get_option('date_format');
			$pluginDirUrl = plugin_dir_url( __FILE__ );

			//
			wp_enqueue_media();
			// Add the color picker css file       
        	wp_enqueue_style( 'wp-color-picker' );

			wp_enqueue_style( 'mdtimepicker', $pluginDirUrl. 'assets/mdtimepicker.css', array(), '1.0.0', false );
			wp_enqueue_style( 'woopromotion-admin', $pluginDirUrl. 'assets/admin.css', array(), '1.0.0', false );
			wp_enqueue_script( 'mdtimepicker', $pluginDirUrl. 'assets/mdtimepicker.min.js', array('jquery'), '1.0.0', true );
			wp_enqueue_script( 'woopromotion-admin', $pluginDirUrl. 'assets/admin.js', array('jquery', 'jquery-ui-datepicker', 'wp-color-picker'), '1.0.0', true );
			
			wp_localize_script(
				'woopromotion-admin', 
				'adminWoopromotionObj', 
				array(
					"ajaxurl" => admin_url('admin-ajax.php')
				) 
			);

		}

	}

	
}
