(function ($) {
    "use strict";

    let a = {

        init: function() {
            this.settingsTab();
            // Wp Media Uploader
            this.wpMediaUploader();
            //
            this.textRepeater();
            // Time picker
            $('.time-picker').mdtimepicker({
                theme: 'purple'
            });
            // Date Picker
            $( ".datepicker" ).datepicker();
            // Color Picker
            $('.woopromo-color-field').wpColorPicker();
            //
            
        },
        settingsTab: function () {

            // Tab
            var tabSelect = $('[data-tab-select]');
            var tab = $('[data-admintab]');
            tabSelect.each(function () {
                var tabText = $(this).data('tab-select');
                $(this).on('click', function () {
                    localStorage.setItem("activetab", tabText);
                    
                    $(this).addClass('active').siblings().removeClass('active');
                    tab.each(function () {
                        if (tabText === $(this).data('admintab')) {
                            $(this).fadeIn(500).siblings().hide(); // for click
                            $(this).addClass('active').siblings().removeClass('active');
                        }
                    });
                });
                if ($(this).hasClass('active')) {
                    tab.each(function () {
                        if (tabText === $(this).data('admintab')) {
                            $(this).addClass('active');
                        }
                        if ($(this).hasClass('active')) {
                            $(this).show().siblings().hide();

                        }
                    });
                }
            });
            
            // Check active tab
            let activateTab = localStorage.getItem("activetab");

            if( activateTab ) {
                $('[data-tab-select="'+activateTab+'"]').addClass('active').siblings().removeClass('active');
                $('[data-admintab="'+activateTab+'"]').show().siblings().hide();
            }

        },
        wpMediaUploader: function () {
            // Media Upload
            var mediaUploader, t;

            $('.woopromotion_image_upload_btn').on('click', function (e) {

                e.preventDefault();

                t = $(this).parent().find('.woopromotion_background_image');

                if (mediaUploader) {
                    mediaUploader.open();
                    return;
                }
                mediaUploader = wp.media.frames.file_frame = wp.media({
                    title: 'Choose Image',
                    button: {
                        text: 'Choose Image'
                    }, multiple: false
                });
                mediaUploader.on('select', function () {
                    var attachment = mediaUploader.state().get('selection').first().toJSON();

                    t.val(attachment.url)

                });
                mediaUploader.open();
            });

        },
        textRepeater: function () {

            $(document).on('click', '.addfield', function (e) {

                e.preventDefault();

                var $this = $(this);

                var inner = $this.parent().find('.field-wrapper'),
                    $name = inner.data('optname');
                    
                var $new_repeater = '';
                $new_repeater += '<div class="single-field">';
                $new_repeater += '<input type="text" class="text-repeater-input" name="woopromotion_options['+$name+'][]" />';
                $new_repeater += '<span class="removeitem woopromo-admin-btn">Remove</span>';
                $new_repeater += '</div>';

                inner.append($new_repeater);

            })

            //
            $(document).on('click', '.removeitem', function () {
                var $this = $(this);
                $this.parent().remove();
            })


        }
        
    }

    a.init();
    

})(jQuery)