<?php
namespace Woopromotion\Admin\Inc;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */

if( !class_exists('Admin_Menu') ) {
	class Admin_Menu {

		private static $instance = null;

		function __construct() {

			add_action( 'admin_menu', array( __CLASS__, 'admin_menu_page' ) );
			add_action( 'admin_init', array( __CLASS__, 'page_settings_init' ) );
		}

		public static function getInstance() {
			if( is_null( self::$instance ) ) {
				self::$instance = new self();
			}
			return self::$instance;
		}

		public static function admin_menu_page() {

			// add top level menu page
			add_menu_page(
				esc_html__( 'Woopromotion Settings', 'woopromotion' ),
				esc_html__( 'Woopromotion', 'woopromotion' ),
				'manage_options',
				'woopromotion',
				array( __CLASS__, 'admin_view' ),
				'dashicons-buddicons-groups',
				5
			);
			add_submenu_page( 'woopromotion', esc_html__( 'WooPromotion Settings', 'woopromotion' ), esc_html__( 'Settings', 'woopromotion' ),'manage_options', 'woopromotion' );
			
		}

		public static function admin_view() {
			$Admin_Templates = new Admin_Templates_Map();
			$Admin_Templates->admin_page_init();
		}
		public static function page_settings_init() {
			register_setting(
	            'woopromotion_settings_option_group', // Option group
	            'woopromotion_options' // Option name
	        );  
		}

	}

}