<?php
namespace Woopromotion\Admin\TabContent;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */

class Canvas_Promo_Bar extends \Woopromotion\Admin\Field\Settings_Fields_Base {

  public function get_option_name() {
    return 'woopromotion_options'; // set option name it will be same or different name
  }

  public function tab_setting_fields() {

      $this->start_fields_section([
        'title'   => '',
        'class'   => '',
        'id'      => 'canvas_promo_bar',
        'display' => 'none'

      ]);

      $this->checkbox(
        [
          'title' => esc_html__( 'Active Canvas Promo Bar', 'woopromotion' ),
          'name'  => 'active_canvas_promo_bar'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Canvas Promo Bar Content', 'woopromotion' ),
          'name'  => 'show_canvas_bar_content'
        ]
      );
      $this->media(
        [
          'title' => esc_html__( 'Image', 'woopromotion' ),
          'name'  => 'promo_image'
        ]
      );
      $this->textarea(
        [
          'title' => esc_html__( 'Canvas Promo Text', 'woopromotion' ),
          'name'  => 'promo_text',
          'description' => esc_html__( 'This text field support a, span, strong, p', 'woopromotion' )
        ]
      );
      $this->text(
        [
          'title' => esc_html__( 'Set Button Text', 'woopromotion' ),
          'name'  => 'button_text'
        ]
      );
      $this->text(
        [
          'title' => esc_html__( 'Set Button Url', 'woopromotion' ),
          'name'  => 'button_url'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Count Down Timer', 'woopromotion' ),
          'name'  => 'show_timer'
        ]
      );
      $this->datepicker(
        [
          'title' => esc_html__( 'Set Start Date', 'woopromotion' ),
          'name'  => 'set_date'
        ]
      );
      $this->timepicker(
        [
          'title' => esc_html__( 'Set Start Time', 'woopromotion' ),
          'name'  => 'set_time'
        ]
      );
      $this->datepicker(
        [
          'title' => esc_html__( 'Set End Date', 'woopromotion' ),
          'name'  => 'set_end_date'
        ]
      );
      $this->timepicker(
        [
          'title' => esc_html__( 'Set End Time', 'woopromotion' ),
          'name'  => 'set_end_time'
        ]
      );
      $this->selectbox(
        [
          'title' => esc_html__( 'Set Position', 'woopromotion' ),
          'name'  => 'set_position',
          'options' => [
            'top' => esc_html__( 'Top', 'woopromotion' ),
            'bottom' => esc_html__( 'Bottom', 'woopromotion' )
          ]
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Background Color', 'woopromotion' ),
          'name'  => 'bg_color'
        ]
      );
      $this->media(
        [
          'title' => esc_html__( 'Background Image', 'woopromotion' ),
          'name'  => 'bg_image'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Text Color', 'woopromotion' ),
          'name'  => 'text_color'
        ]
      );
      $this->end_fields_section(); // End fields section
  }

}
