<?php
namespace Woopromotion\Admin\TabContent;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */

class Cart_Meta extends \Woopromotion\Admin\Field\Settings_Fields_Base {

  public function get_option_name() {
    return 'woopromotion_options'; // set option name it will be same or different name
  }

  public function tab_setting_fields() {

      $this->start_fields_section([
        'title'   => '',
        'class'   => '',
        'id'      => 'cart_meta',
        'display' => 'none'

      ]);

      $this->checkbox(
        [
          'title' => esc_html__( 'Active Canvas Cart Bar', 'woopromotion' ),
          'name'  => 'active_canvas_cart_progress_bar'
        ]
      );
      $this->multiple_Select(
        [
          'title' => esc_html__( 'Select Canvas Cart Bar Show Page', 'woopromotion' ),
          'name'  => 'canvas_cart_bar_show_page',
          'options' => \Woopromotion\Inc\Helper::getPages()
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Mini Cart Info', 'woopromotion' ),
          'name'  => 'show_mini_cart_info'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Free Shipping Order Amount Progress Info', 'woopromotion' ),
          'name'  => 'show_order_free_shipping_amount_progress_info'
        ]
      );
      $this->number(
        [
          'title' => esc_html__( 'Free Shipping Order Amount', 'woopromotion' ),
          'name'  => 'free_shipping_order_amount',
          'step'  => 1,
          'min'   => 0
        ]
      );
      $this->text(
        [
          'title' => esc_html__( 'Announce Text', 'woopromotion' ),
          'name'  => 'announce_text',
          'placeholder' => 'Shop {free_shipping_amount} or more and get free shipping',
          'description' => 'Write the free shipping announce text. Use {free_shipping_amount} for free shipping amount. E.g: Shop {free_shipping_amount} or more and get free shipping.'
        ]
      );
      $this->text(
        [
          'title' => esc_html__( 'Purchased Text', 'woopromotion' ),
          'name'  => 'purchased_text',
          'placeholder' => 'You have purchased {total_cart_amount} of {free_shipping_amount} To get free shipping',
          'description' => 'Write the free shipping purchased text. use {free_shipping_amount} for free shipping amount and use {total_cart_amount} for total amount of purchases. E.g: You have purchased {total_cart_amount} of {free_shipping_amount} To get free shipping.'
        ]
      );
      $this->text(
        [
          'title' => esc_html__( 'Success Text', 'woopromotion' ),
          'name'  => 'success_text',
          'placeholder' => 'Congratulations! you have got free shipping. Go to {checkout_url}',
          'description' => 'Write the free shipping amount progress success text. use {checkout_url} for checkout page link'
        ]
      );
      $this->text(
        [
          'title' => esc_html__( 'Missing Text', 'woopromotion' ),
          'name'  => 'missing_text',
          'placeholder' => 'You are missing {missing_amount} to get free shipping.Continue shopping',
          'description' => 'Write the missing amount text. use {missing_amount} for missing amount'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Active Amount Wiggle Animation', 'woopromotion' ),
          'name'  => 'active_wiggle_animation'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Active Success Text Bgclip Animation', 'woopromotion' ),
          'name'  => 'active_bgclip_animation'
        ]
      );
      $this->selectbox(
        [
          'title' => esc_html__( 'Set Position', 'woopromotion' ),
          'name'  => 'set_cart_progress_position',
          'options' => [
            'top' => esc_html__( 'Top', 'woopromotion' ),
            'bottom' => esc_html__( 'Bottom', 'woopromotion' )
          ]
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Background Color', 'woopromotion' ),
          'name'  => 'bg_cart_progress_color'
        ]
      );
      $this->media(
        [
          'title' => esc_html__( 'Background Image', 'woopromotion' ),
          'name'  => 'bg_cart_progress_image'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Text Color', 'woopromotion' ),
          'name'  => 'text_cart_progress_color'
        ]
      );
      $this->end_fields_section(); // End fields section
  }

}
