<?php
namespace Woopromotion\Admin\TabContent;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */


class Flash_Sale extends \Woopromotion\Admin\Field\Settings_Fields_Base {

  public function get_option_name() {
    return 'woopromotion_options'; // set option name it will be same or different name
  }

   public function tab_setting_fields() {

      $this->start_fields_section([

        'title'   => '',
        'class'   => '',
        'id'      => 'flash_sale',
        'display' => 'none'

      ]);

      $this->checkbox(
        [
          'title' => esc_html__( 'Show Shop Page Discount Percentage Badge', 'woopromotion' ),
          'description' => esc_html__( 'Check the checkbox to show shop page discount percentage badge.', 'woopromotion' ),
          'name'  => 'shop_discount_percentage_badge'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Product Page Discount Percentage Badge', 'woopromotion' ),
          'description' => esc_html__( 'Check the checkbox to show product page discount percentage badge.', 'woopromotion' ),
          'name'  => 'product_discount_percentage_badge'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Product On Sale In Percentage', 'woopromotion' ),
          'description' => esc_html__( 'Check the checkbox to show product on sale text in percentage.', 'woopromotion' ),
          'name'  => 'product_sale_flash_percentage'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Flash Sale Details Bar', 'woopromotion' ),
          'description' => esc_html__( 'Check the checkbox to show product page flash sale details bar.', 'woopromotion' ),
          'name'  => 'product_flash_details_bar'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Stock Progress Bar in Details Bar ', 'woopromotion' ),
          'description' => esc_html__( 'Check the checkbox to show stock progress Bar in Product page flash sale details bar.', 'woopromotion' ),
          'name'  => 'product_flash_details_stock_bar'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Shop Product Countdown Timer', 'woopromotion' ),
          'description' => esc_html__( 'Shop page product flash sale countdown timer.', 'woopromotion' ),
          'name'  => 'shop_product_flash_countdown'
        ]
      );
      $this->selectbox(
        [
          'title' => esc_html__( 'Shop Product Price, Countdown, Stock bar alignment', 'woopromotion' ),
          'description' => esc_html__( 'Select shop page price, countdown, stock bar alignment.', 'woopromotion' ),
          'name'  => 'shop_countdown_align',
          'options' => [
            'flex-start'  => esc_html__( 'Left', 'woopromotion' ),
            'center'      => esc_html__( 'Center', 'woopromotion' ),
            'flex-end'    => esc_html__( 'Right', 'woopromotion' )
          ]
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Shop Page Countdown Timer Color', 'woopromotion' ),
          'name'  => 'shop_countdown_color'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Product Page Countdown Timer Color', 'woopromotion' ),
          'name'  => 'product_countdown_color'
        ]
      );
      $this->end_fields_section(); // End fields section
   }
}
