<?php
namespace Woopromotion\Admin\TabContent;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */


class Stock_Progress_Bar extends \Woopromotion\Admin\Field\Settings_Fields_Base {

  public function get_option_name() {
    return 'woopromotion_options'; // set option name it will be same or different name
  }

   public function tab_setting_fields() {

      $this->start_fields_section([

        'title'   => '',
        'class'   => '',
        'id'      => 'stock_progress_bar',
        'display' => 'none'

      ]);
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Shop Stock Progress Bar', 'woopromotion' ),
          'description' => esc_html__( 'Check the checkbox to show stock progress bar in shop page product.', 'woopromotion' ),
          'name'  => 'stock_progress_bar_show'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Product Page Stock Progress Bar', 'woopromotion' ),
          'description' => esc_html__( 'Check the checkbox to show stock progress bar in product page product.', 'woopromotion' ),
          'name'  => 'product_stock_progress_bar_show'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Product Sale Count On Day', 'woopromotion' ),
          'description' => esc_html__( 'Check the checkbox to show product last x day sale count.', 'woopromotion' ),
          'name'  => 'product_day_sale_count_show'
        ]
      );
      $this->number(
        [
          'title' => esc_html__( 'Set Product sale Count From day', 'woopromotion' ),
          'description' => esc_html__( 'Set product sale count show from day.', 'woopromotion' ),
          'name'  => 'product_sale_count_from_day'
        ]
      );
      $this->selectbox(
        [
          'title' => esc_html__( 'Set Progress Bar Style', 'woopromotion' ),
          'name'  => 'stock_progress_br_style',
          'options' => [
            'style_1' => esc_html__('Style 1', 'woopromotion'),
            'style_2' => esc_html__('Style 2', 'woopromotion'),
            'style_3' => esc_html__('Style 3', 'woopromotion'),
            'style_4' => esc_html__('Style 4', 'woopromotion'),
            'style_5' => esc_html__('Style 5', 'woopromotion')
          ]
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Progress Bar Text Color', 'woopromotion' ),
          'name'  => 'progress_text_color'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Progress Bar Background Color', 'woopromotion' ),
          'name'  => 'progress_bar_bg_color'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Progress Background Color', 'woopromotion' ),
          'name'  => 'progress_bg_color'
        ]
      );
      $this->end_fields_section(); // End fields section
   }
}
