<?php
namespace Woopromotion\Admin\TabContent;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */

class Ticker extends \Woopromotion\Admin\Field\Settings_Fields_Base {

  public function get_option_name() {
    return 'woopromotion_options'; // set option name it will be same or different name
  }

  public function tab_setting_fields() {

      $this->start_fields_section([
        'title'   => '',
        'class'   => '',
        'id'      => 'ticker',
        'display' => 'none'

      ]);
      $this->checkbox(
        [
          'title' => esc_html__( 'Show Ticker In Canvas Promo Bar', 'woopromotion' ),
          'name'  => 'active_ticker'
        ]
      );
      $this->textrepeater(
        [
          'title' => esc_html__( 'Text', 'woopromotion' ),
          'name'  => 'ticker_text'
        ]
      );
      $this->text(
        [
          'title' => esc_html__( 'Heading Text', 'woopromotion' ),
          'name'  => 'heading_text'
        ]
      );
      $this->selectbox(
        [
          'title' => esc_html__( 'Type', 'woopromotion' ),
          'name'  => 'ticker_type',
          'options' => [
            'marquee' => esc_html__( 'Marquee', 'woopromotion' ),
            'vertical' => esc_html__( 'Vertical', 'woopromotion' ),
            'horizontal' => esc_html__( 'Horizontal', 'woopromotion' ),
            'typewriter' => esc_html__( 'Typewriter', 'woopromotion' )
          ]
        ]
      );
      $this->selectbox(
        [
          'title' => esc_html__( 'Direction', 'woopromotion' ),
          'name'  => 'ticker_direction',
          'options' => [
            'left' => esc_html__( 'Left', 'woopromotion' ),
            'right' => esc_html__( 'Right', 'woopromotion' ),
            'up' => esc_html__( 'Up', 'woopromotion' ),
            'down' => esc_html__( 'Down', 'woopromotion' )
          ]
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Controls', 'woopromotion' ),
          'name'  => 'ticker_controls'
        ]
      );
      $this->number(
        [
          'title' => esc_html__( 'Speed', 'woopromotion' ),
          'name'  => 'ticker_speed',
          'step' => '0.01',
          'default' => '0.05',
          'placeholder' => '0.05',
          'description' => 'For vertical/horizontal 600, For marquee 0.05, For typewriter 50'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Heading Background Color', 'woopromotion' ),
          'name'  => 'heading_bg_color'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Heading Text Color', 'woopromotion' ),
          'name'  => 'heading_text_color'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Ticker Background Color', 'woopromotion' ),
          'name'  => 'ticker_bg_color'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Ticker Border Color', 'woopromotion' ),
          'name'  => 'ticker_border_color'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Ticker Text Color', 'woopromotion' ),
          'name'  => 'ticker_text_color'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Ticker Controls Background Color', 'woopromotion' ),
          'name'  => 'ticker_controls_bg_color'
        ]
      );
      $this->colorpicker(
        [
          'title' => esc_html__( 'Ticker Controls Border Color', 'woopromotion' ),
          'name'  => 'ticker_controls_border_color'
        ]
      );
      $this->end_fields_section(); // End fields section
  }

}
