<?php
namespace Woopromotion\Classes;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }

class Canvas_Cart_Progress {

  public function getCanvasCartProgress() {
    $this->canvasCartProgressHtml();
  }

  public function getOption( $key ) {
    return \Woopromotion\Inc\Helper::getOption($key);
  }

  private function canvasCartProgressHtml() {

    $showShippingAmountProgress  = $this->getOption('show_order_free_shipping_amount_progress_info');
    $position  = $this->getOption('set_cart_progress_position');
    $bgColor   = $this->getOption('bg_cart_progress_color');
    $bgImage   = $this->getOption('bg_cart_progress_image');
    $textColor = $this->getOption('text_cart_progress_color');

    //
    $getBgColor = '';
    $getBgImage = '';
    $getTextColor = '';
    // Background color
    if( !empty( $bgColor ) ) {
      $getBgColor = 'background-color:'.esc_attr( $bgColor ).';';
    }
    // Background Image
    if( !empty( $bgImage ) ) {
      $getBgImage = 'background:url('.esc_attr( $bgImage ).');background-size: cover;background-position: center;';
    }

    // Text Color
    if( !empty( $textColor ) ) {
      $getTextColor = 'color:'.esc_attr( $textColor ).';';
    }
    //
    $styleAttr = '';
    if( !empty( $getBgColor ) || !empty( $getBgImage ) ) {
      $styleAttr = 'style="'.$getBgColor.$getBgImage.$getTextColor.'"';
    }
    //
    if( !empty( $showShippingAmountProgress ) ) {
      echo '<div class="free-shipping-img"><img src="'.WOOPROMOTION_DIR_URL.'assets/img/free-shipping.png"></div>'; 
    }
    
    echo '<div class="canvas-header-wrapper floating-canvas-wrapper '.esc_attr( 'position-'.$position ).'" '.$styleAttr.'><div class="floating-canvas-inner-top"></div></div>';

  }

  private function text() {
    $text = $this->getOption('cart_progress_text');
    if( empty( $text ) ) {
      return;
    }
    $arr = array( 'br' => array(), 'p' => array(), 'span' => array(), 'a' => array( 'href' => array() ), 'strong' => array() );

    return '<div class="header-text">'.wp_kses( $text, $arr ).'</div>';
  }
  
  private function image() {
    $img = $this->getOption('cart_progress_image');

    if( !empty( $img ) ) {
      return '<img src="'.esc_url($img).'" />';
    }
  }
  
  private function cancle() {
    $textColor = $this->getOption('text_cart_progress_color');
    $getBorderColor = '';
    // Text Color
    if( !empty( $textColor ) ) {
      $getBorderColor = 'border-color:'.esc_attr( $textColor ).';';
    }
    //
    $styleAttr = '';
    if( !empty( $getBorderColor ) ) {
      $styleAttr = 'style="'.$getBorderColor.'"';
    }

    return '<span class="canvas-header-cancle" '.$styleAttr.'>X</span>';
  }
  
}