<?php
namespace Woopromotion\Classes;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }

class Hooks {

  function __construct() {

    add_action( 'init', [ $this, 'postTypeRegister' ] );
    add_shortcode( 'woopromotion_coupon_code', [ $this, 'couponCodeShortcode' ] );
  }

  public function postTypeRegister() {

      /**
       * Badge manage post type register
       */

      $postType = new \Woopromotion\Classes\Post_Type();

      $args = [
        
        'post_type' => 'woopromotion_badges',
        'labels' => [
          'name'          => esc_html__( 'Badges Manage', 'woopromotion' ),
          'singular_name' => esc_html__( 'Badges Manage', 'woopromotion' ),
          'add_new'       => esc_html__( 'Add New Badge', 'woopromotion' ),
          'add_new_item'  => esc_html__( 'Add New Badge', 'woopromotion' )
        ],
        'args' => [
          'rewrite'   => array( 'slug' => 'woopromotion-badges' ),
          'supports'  => array( 'title', 'thumbnail' ),
          'show_in_menu' => 'woopromotion'
        ]

      ];

      $postType->getPostTypeArgs($args)->postTypeRegister();

      /**
       * coupon code post type register
       */

      $postType = new \Woopromotion\Classes\Post_Type();

      $args = [
        
        'post_type' => 'coupon_code',
        'labels' => [
          'name'          => esc_html__( 'Coupon Code', 'woopromotion' ),
          'singular_name' => esc_html__( 'Coupon Code', 'woopromotion' ),
          'add_new'       => esc_html__( 'Add New Coupon Code', 'woopromotion' ),
          'add_new_item'  => esc_html__( 'Add New Coupon Code', 'woopromotion' )
        ],
        'args' => [
          'rewrite'   => array( 'slug' => 'woopromotion-coupon-code' ),
          'supports'  => array( 'title' ),
          'show_in_menu' => 'woopromotion'
        ]

      ];

      $postType->getPostTypeArgs($args)->postTypeRegister();
  }

  public function couponCodeShortcode( $atts ) {
    
    $atts = shortcode_atts( array(
        'card_id' => ''
    ), $atts);

    ob_start();
    $c = new \Woopromotion\Inc\Coupon_Code_Card_Shortcode( $atts );
    $c->getCard();

    return ob_get_clean();

  }

  
}