<?php
namespace Woopromotion\Classes;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }

class Price_Down_Badge extends Product_Data {

  public $price;
  public $productType;
  public $salePrice;
  public $regularPrice;
  public $isOnSale;

  function __construct() {

    // Call Product_Data constructor
    parent::__construct();

    $product = $this->getProduct;

    $this->isOnSale = $product->is_on_sale();

    if ($product->is_type('variable')) {
        $this->regularPrice = $product->get_variation_regular_price();
        $this->salePrice    = $product->get_variation_price();
    } else {
        $this->regularPrice = $product->get_regular_price();
        $this->salePrice = $product->get_sale_price();
    }

  }

  public function priceDownbadge() {
    return $this->badgeHtml();
  }

  private function onSalePercentage() {

    if( !$this->regularPrice ) {
      return;
    }

    $salePrice = $this->salePrice;
    $regularPrice = $this->regularPrice;
    $percentage  = ($regularPrice - $salePrice ) / $regularPrice * 100;
    return round($percentage);
  }

  public function badgeHtml() {

    if( !$this->isOnSale ) {
      return;
    }
    return '<span class="product-loop-down-arrow-wrap"><img src="'.WOOPROMOTION_DIR_URL.'assets/img/down-arrow.webp" /> -'.$this->onSalePercentage().'%</span>';
  }
  
}

