<?php
namespace Woopromotion\Classes;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }

class Sold_Count_On_Date extends Product_Data {

  public function getProductSoldCount() {
    echo $this->productSoldCount();
  }

  private function productSoldCount() {
    $soldCount = $this->get_order_count_by_day();
    $is_single = is_product() ? ' order-count-by-day-product-single' : '';
    $opt = get_option('woopromotion_options');
    $fromDay = !empty( $opt['product_sale_count_from_day'] ) ? $opt['product_sale_count_from_day'] : '';
    
    return '<div class="order-count-by-day'.esc_attr( $is_single ).'">'.esc_html( $soldCount ).' items sold in last '.esc_attr($fromDay).' days</div>';
  }

  private function dayFrom() {
    $opt = get_option('woopromotion_options');
    $day = !empty( $opt['product_sale_count_from_day'] ) ? $opt['product_sale_count_from_day'] : '';
    $day = '-'.$day.' day';

    return date( 'Y-m-d H:i:s', strtotime( $day ) );
  }

  private function dayTo() {
    return date( 'Y-m-d H:i:s', current_time( 'timestamp' ) );
  }

  private function get_order_count_by_day() {

    global $wpdb;

    $date_from = $this->dayFrom();
    $date_to   = $this->dayTo();
    $status    = 'wc-completed';
    $product_id = $this->productId;

    return $wpdb->get_var( $wpdb->prepare("
        SELECT DISTINCT count(o.ID)
        FROM {$wpdb->prefix}posts o
        INNER JOIN {$wpdb->prefix}woocommerce_order_items oi
            ON o.ID = oi.order_id
        INNER JOIN {$wpdb->prefix}woocommerce_order_itemmeta oim
            ON oi.order_item_id = oim.order_item_id
        WHERE o.post_status = '%s'
            AND o.post_date >= '%s'
            AND o.post_date < '%s'
            AND oim.meta_key IN ('_product_id','_variation_id')
            AND oim.meta_value = %d
    ", $status, $date_from, $date_to, $product_id ) );
  }


}