<?php
namespace Woopromotion\Inc;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }

class Helper {
  
  /**
   * option
   * @param  string
   * @return void
   */
  public static function getOption( $key, $default = '' ) {
    $opt = get_option('woopromotion_options');
    $getOpt = $default;
    if( !empty( $opt[$key] ) ) {
        $getOpt = $opt[$key];
    }
    return $getOpt;

  }
  /**
   * Product Categories
   * @return void
   */
  public static function getProductCategories() {

    $productCat = get_terms( array(
      'taxonomy' => 'product_cat',
      'hide_empty' => false,
    ) );

    $terms = ['' => esc_html__( 'Select Category', 'woopromotion' )];

    if( !empty( $productCat ) ) {
      foreach( $productCat as $cat ) {
        $terms[$cat->slug] = $cat->name;
      }
    }

    return $terms;

  }

  /**
   * Check elementor plugin active
   * @return string
   */
  public static function is_elementor_active() {

    $elementorFile = WP_PLUGIN_DIR.'/elementor/elementor.php';

    $activatedPlugin = get_option('active_plugins');


    if( ! file_exists( $elementorFile ) ) {
      
      $has_elementor = 'notinstalled';

    } else if(  file_exists( $elementorFile ) &&  !in_array( 'elementor/elementor.php', $activatedPlugin) ) {
      
      $has_elementor = 'deactive';
    } else {
      $has_elementor = 'active';
    }

    return $has_elementor;
  }

  /**
   * Check WooCommerce plugin active
   * @return boolean [description]
   */
  public static function is_woo_active() {
    return class_exists( 'WooCommerce' );
  }

  public static function woo_currency_symbol_position( $price = '' ) {

    if( !$price ) {
      return;
    }
    
    $currencyPos = get_option( 'woocommerce_currency_pos' );
    $currency   = get_woocommerce_currency_symbol();

    $getPrice = $currency.$price;

    if( $currencyPos != 'left' ) {

      switch( $currencyPos ) {

        case 'right':
          $getPrice =  $price.$currency;
        break;
        case 'left_space':
          $getPrice =  $currency.' '.$price;
        break;
        case 'right_space':
          $getPrice =  $price.' '.$currency;
        break;
        default :
          $getPrice = $currency.$price;
        break;

      }

    }

    return $getPrice;
  
  }

  public static function getPages() {

    $pages = get_pages();

    $getPages = [];

    if( !empty( $pages ) ) {
      foreach( $pages as $page ) {
        $getPages[$page->post_name] = $page->post_title;
      }
    }

    return $getPages;

  }

}