<?php 
namespace Woopromotion\Meta;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }


class Main_MetaBox{
	
	use \Woopromotion\Meta\Checkbox;
	use \Woopromotion\Meta\Color;
	use \Woopromotion\Meta\Date;
	use \Woopromotion\Meta\Time;
	use \Woopromotion\Meta\Email;
	use \Woopromotion\Meta\Info;
	use \Woopromotion\Meta\Media;
	use \Woopromotion\Meta\Number;
	use \Woopromotion\Meta\Radio;
	use \Woopromotion\Meta\Range_Slider;
	use \Woopromotion\Meta\Select;
	use \Woopromotion\Meta\Tab_Button;
	use \Woopromotion\Meta\Tab_End;
	use \Woopromotion\Meta\Tab_Start;
	use \Woopromotion\Meta\Textarea;
	use \Woopromotion\Meta\Text;
	use \Woopromotion\Meta\Shortcode_View;
	use \Woopromotion\Meta\Section_Start;
	use \Woopromotion\Meta\Section_End;


	public $SetMetaBox;
	public $SetMetaFields = array();
	
	function __construct(){

		add_action( 'admin_enqueue_scripts', [ $this, 'admin_scripts' ] );
		add_action( 'add_meta_boxes', array( $this, 'add_new_metabox' ) );
		add_action('save_post', array( $this, 'save_metadata' ) );
	}
	  
	public function admin_scripts() {

		wp_enqueue_media();
		// Add the color picker css file       
    wp_enqueue_style( 'wp-color-picker' );

		wp_enqueue_style( 'mdtimepicker', WOOPROMOTION_DIR_URL.'/meta-fields/css/mdtimepicker.min.css', array(), '1.0', false  );
		wp_enqueue_style( 'woopromotion-style', WOOPROMOTION_DIR_URL.'/meta-fields/css/woopromotion-style.css', array(), '1.0', false  );
    wp_enqueue_script( 'mdtimepicker', WOOPROMOTION_DIR_URL.'/meta-fields/js/mdtimepicker.min.js', array( 'jquery' ), '1.0', true  );
    wp_enqueue_script( 'woopromotion-script', WOOPROMOTION_DIR_URL.'/meta-fields/js/woopromotion.js', array( 'jquery', 'wp-color-picker' ), '1.0', true  );
	  
	}

	public function add_new_metabox(){
		
		$args = $this->SetMetaBox;
		
		// Meta box default argument
		$default = array(
			'uniq_id' 	=> 'post_meta_id',
			'title' 	=> 'Post meta box',
			'callback' 	=> array( $this, 'metabox_html_field' ),
			'type' 		=> array( 'post' ),
		);
		
		$args = wp_parse_args( $args, $default );
		
		foreach( $args['type'] as $screen ){
		
			add_meta_box(
				$args['uniq_id'],	// Uniq ID
				$args['title'],	// Box Title
				$args['callback'],	// Content Callback
				$screen,	// Post Type
				$args['context'], // context Post edit screen contexts include 'normal', 'side', and 'advanced'
				$args['priority'] // priority Accepts 'high', 'core', 'default', or 'low'.
				
			);
		
		}
		
	}
	
	// Content callback
	public function metabox_html_field(){
		
			foreach( $this->SetMetaFields as $fieldtype ){
					
				switch( $fieldtype['type'] ){
					case 'text':
					case 'number':
						$this->text_field( $fieldtype );
						break;
					case 'select':
						tatCmf_select_field( $fieldtype );
						break;
					case 'radio':
						$this->radio_field( $fieldtype );
						break;
					case 'media':
						tatCmf_media_field( $fieldtype );
						break;
					case 'color':
						$this->color_field( $fieldtype );
						break;
					case 'rangeslider':
						tatCmf_rangeslider_field( $fieldtype );
						break;
					case 'date':
						$this->date_field( $fieldtype );
						break;
					case 'time':
						$this->time_field( $fieldtype );
						break;
					case 'info':
						tatCmf_info_field( $fieldtype );
						break;
					case 'textarea':
						$this->textarea_field( $fieldtype );
						break;
					case 'start_tab':
						tatCmf_start_tab_field( $fieldtype );
						break;
					case 'end_tab':
						tatCmf_end_tab_field( $fieldtype );
						break;
					case 'tab_button':
						tatCmf_tab_button_field( $fieldtype );
						break;
					case 'show_shortcode':
						$this->show_shortcode( $fieldtype );
						break;
					case 'section_start':
						$this->section_start( $fieldtype );
						break;
					case 'section_end':
						$this->section_end( $fieldtype );
						break;
				}
				
			}
			
	}

	// Save Data
	public function save_metadata( $post_id ){
				
		foreach( $this->SetMetaFields as $fieldname ){

			if( !empty( $fieldname['id'] ) && isset( $_POST[$fieldname['id']] ) ){
				
				update_post_meta(
					$post_id,
					$fieldname['id'],
					$_POST[$fieldname['id']]
				);
			
			}
		}

	}

	
}

